#include<bits/stdc++.h>
#define maxn 100005
using namespace std;

int n,k;
int a[maxn];
int poj[2*maxn];
vector<int>sol;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        poj[a[i] + n] ++;
    }

    for(int i=-n;i<=n;i++)
    {
        if(poj[i + n] >= k)
        {
            v.pb(i);
        }
    }

    cout<<sol.size()<<"\n";
    for(auto x:sol)cout<<x<<" ";
    return 0;
}